#include <stdio.h>
#include <string.h>

#include "../include/mag_vector.h"
#include "df.h"
#include "mfhdf.h"

void main(argc, argv)
int argc;
char *argv[];
{
  int32 hdf_fp, sd_id;
  struct MagVectorSet testdata;
  int ii,retval;

  if (argc!=2)
    {
      printf("Usage: rd_hdf hdf_file\n");
      exit(1);
    }

  /* open hdf input file */

  if ((hdf_fp=Hopen(argv[1], DFACC_READ, 0))==FAIL)
    {
      fprintf(stderr, "Hopen: could not open hdf file\n");
      exit(-1);
    }
/*  Vstart(hdf_fp);*/

if ((sd_id=SDstart(argv[1], DFACC_RDONLY))==FAIL)
    {
      fprintf(stderr, "SDstart: could not open hdf file\n");
      exit(-1);
    }
  init_rd_mag_vec(hdf_fp, sd_id);

  ii=0;
  while((retval= read_mag_vec(&testdata,-1))!=-1) {
	  printf("sc clock = %8d\n", testdata.sctime);
	  printf("  %3x %3x\n", testdata.QAC, testdata.vector[1][2]);
  }

  /* all done, close HDF file */

  close_rd_mag_vec();
/*  fprintf(stderr,"VS detached \n");
  Vend(hdf_fp);
  fprintf(stderr,"VS ended \n");*/
  if (Hclose(hdf_fp)==FAIL)
    {
      fprintf(stderr, "Hclose: could not close hdf file\n");
      exit(-1);
    }
  if (SDend(sd_id)==FAIL)
    {
      fprintf(stderr, "SDend: could not close hdf file\n");
      exit(-1);
    }


  fprintf(stderr,"file closed \n");
  

  exit(0);
}
    
